Skip to main content
GET
/
v1
/
webhook-event-logs
/
{webhookEventId}
Read Webhook Event Log
curl --request GET \
  --url https://localtest.mindbridge.ai/api/v1/webhook-event-logs/{webhookEventId} \
  --header 'Authorization: Bearer <token>'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "status": "IN_PROGRESS",
  "webhookId": {},
  "attemptStartDate": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "eventType": "<string>",
  "requestHeaders": {},
  "requestBody": "<string>",
  "responseStatusCode": 123,
  "responseHeaders": {},
  "responseTimeSec": 123,
  "retryCount": 123,
  "requestId": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhookEventId
string
required

Response

OK

version
integer<int64>
required
id
object
creationDate
string<date-time>
lastModifiedDate
string<date-time>
createdUserInfo
User Info · object
lastModifiedUserInfo
User Info · object
status
enum<string>
Available options:
IN_PROGRESS,
COMPLETED,
FAILED,
FAILED_PERMANENTLY,
DISCONNECTED
webhookId
object
attemptStartDate
string<date-time>
url
string
eventType
string
requestHeaders
object
requestBody
string
responseStatusCode
integer<int32>
responseHeaders
object
responseTimeSec
number<float>
retryCount
integer<int32>
requestId
object